Page MenuHomeFreeBSD

D41973.id132934.diff
No OneTemporary

D41973.id132934.diff

diff --git a/Mk/Scripts/qa.sh b/Mk/Scripts/qa.sh
--- a/Mk/Scripts/qa.sh
+++ b/Mk/Scripts/qa.sh
@@ -115,7 +115,9 @@
local rc
local found_openssl
local file
+ local provides_ssllibs
[ "${PKGBASE}" = "pkg" -o "${PKGBASE}" = "pkg-devel" ] && return
+
while read -r f; do
case ${f} in
File:\ .*)
@@ -136,10 +138,12 @@
done <<-EOF
$(list_stagedir_elfs -exec readelf -d {} + 2>/dev/null)
EOF
- if [ -z "${USESSSL}" -a -n "${found_openssl}" ]; then
- warn "you need USES=ssl"
- elif [ -n "${USESSSL}" -a -z "${found_openssl}" ]; then
- warn "you may not need USES=ssl"
+ if ! list_stagedir_elfs | egrep -q 'lib(crypto|ssl).so*'; then
+ if [ -z "${USESSSL}" -a -n "${found_openssl}" ]; then
+ warn "you need USES=ssl"
+ elif [ -n "${USESSSL}" -a -z "${found_openssl}" ]; then
+ warn "you may not need USES=ssl"
+ fi
fi
return ${rc}
}

File Metadata

Mime Type
text/plain
Expires
Fri, Jun 26, 6:31 PM (5 h, 28 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
34365283
Default Alt Text
D41973.id132934.diff (862 B)

Event Timeline